Subject: Re: BUG: unable to handle kernel paging request in bpf_prog_kallsyms_find

From: syzbot <[email-masked]>
Date: Mon, 25 Mar 2019 22:44:01 -0700

syzbot has bisected this bug to:

commit f4d7e40a5b7157e1329c3c5b10f60d8289fc2941
Author: Alexei Starovoitov <[email-masked]>
Date:   Fri Dec 15 01:55:06 2017 +0000

     bpf: introduce function calls (verification)

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=17b5a0cd200000
start commit:   592ee43f bpf: fix null pointer dereference on pointer offl..
git tree:       bpf-next
final crash:    https://syzkaller.appspot.com/x/report.txt?x=1475a0cd200000
console output: https://syzkaller.appspot.com/x/log.txt?x=1075a0cd200000
kernel config:  https://syzkaller.appspot.com/x/.config?x=7e5cbc38ae27657e
dashboard link: https://syzkaller.appspot.com/bug?extid=66d6b1d3055f1d9ee4f3
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10e4ec25400000

Reported-by: [email-masked]
Fixes: f4d7e40a5b71 ("bpf: introduce function calls (verification)")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection